Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

## Serial.write()

#### Description

Writes binary data to the serial port. This data is sent as a byte or series of bytes; to send the characters representing the digits of a number use the print() function instead.

#### Syntax

serial.write(val)
serial.write(str)
serial.write(buf, len)

#### Parameters

val: a value to send as a single byte

str: a string to send as a series of bytes

buf: an array to send as a series of bytes

len: the length of the buffer

#### See also

- read()
- print()
- println()

Edit Page | Page History | Printable View | All Recent Site Changes